import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import styled from 'styled-components';
import { useAppSelector, useAppDispatch } from './hook';
export const OutputDisplayer = () => {
    const sessions = useAppSelector((state) => state.sessions.sessions);
    const id = useAppSelector((state) => state.sessions.activeSessionId);
    const session = useMemo(() => {
        return sessions.find((session) => session.id === id);
    }, [id]);
    const dispatch = useAppDispatch();
    return _jsx(OutputDisplayerContainer, {}, void 0);
};
const OutputDisplayerContainer = styled.div ``;
//# sourceMappingURL=OutputDisplayer.js.map