import { TypedUseSelectorHook } from 'react-redux';
import type { RootState } from './store';
export declare const useAppDispatch: () => import("redux-thunk").ThunkDispatch<{
    sessions: {
        sessions: import("./store/sessionsSlice").Session[];
        activeSessionId: string;
    };
    config: {
        intermittent: number;
    };
}, null, import("@reduxjs/toolkit").AnyAction> & import("redux-thunk").ThunkDispatch<{
    sessions: {
        sessions: import("./store/sessionsSlice").Session[];
        activeSessionId: string;
    };
    config: {
        intermittent: number;
    };
}, undefined, import("@reduxjs/toolkit").AnyAction> & import("@reduxjs/toolkit").Dispatch<import("@reduxjs/toolkit").AnyAction>;
export declare const useAppSelector: TypedUseSelectorHook<RootState>;
export declare type SyncProps = {
    id: string;
    servicePath: string;
};
export declare const useSync: ({ id, servicePath }: SyncProps) => {
    loading: boolean;
    error: string | null;
    sync: () => void;
};
export declare const useInternal: (callback: () => void, intermittent: number) => {
    running: boolean;
    start: () => void;
    stop: () => void;
};
//# sourceMappingURL=hook.d.ts.map